#include <iostream>
#include <algorithm>

using namespace std;

int main() {
	int n, s, c = 0;
	cin >> n;
	int e[n], r[n];
	
	for(int i = 0; i < n; i++) {
		cin >> e[i];
	}
	for(int i = 0; i < n; i++) {
		cin >> r[i];
	}
	sort(e, e+n);
	
	for(int i = 0; i < n; i++) {
		cin >> s;
		for(int j = 0; j < n; j++) {
			if(e[j] == r[s-1]) {
				c++;
				//cout << c << ' ' << e[j] << ' ' << j << ' ' << r[s] << ' ' << s << endl;
			}else if(e[j] > r[s]){
				break;
			}
		}
	}
	
	cout << c << endl;
	
	return 0;
}